# Class SignedWitness

#### Hierarchy

- unknown
  - SignedWitness

- Defined in src/protobuf/pb_pb.d.ts:2961
- Defined in src/protobuf/pb_pb.d.ts:2999

#####
Index

### Constructors

constructor

### Methods

getAccountAgeWitnessHash
getAccountAgeWitnessHash_asB64
getAccountAgeWitnessHash_asU8
getDate
getSignature
getSignature_asB64
getSignature_asU8
getSignerPubKey
getSignerPubKey_asB64
getSignerPubKey_asU8
getTradeAmount
getVerificationMethod
getWitnessOwnerPubKey
getWitnessOwnerPubKey_asB64
getWitnessOwnerPubKey_asU8
serializeBinary
setAccountAgeWitnessHash
setDate
setSignature
setSignerPubKey
setTradeAmount
setVerificationMethod
setWitnessOwnerPubKey
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SignedWitness(): SignedWitness

- #### Returns SignedWitness

  Inherited from jspb.Message.constructor

## Methods

### getAccountAgeWitnessHash

- getAccountAgeWitnessHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2965

### getAccountAgeWitnessHash_asB64

- getAccountAgeWitnessHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2967

### getAccountAgeWitnessHash_asU8

- getAccountAgeWitnessHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2966

### getDate

- getDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2985

### getSignature

- getSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2970

### getSignature_asB64

- getSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2972

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2971

### getSignerPubKey

- getSignerPubKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2975

### getSignerPubKey_asB64

- getSignerPubKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2977

### getSignerPubKey_asU8

- getSignerPubKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2976

### getTradeAmount

- getTradeAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2988

### getVerificationMethod

- getVerificationMethod(): VerificationMethod

- #### Returns VerificationMethod

  - Defined in src/protobuf/pb_pb.d.ts:2962

### getWitnessOwnerPubKey

- getWitnessOwnerPubKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2980

### getWitnessOwnerPubKey_asB64

- getWitnessOwnerPubKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2982

### getWitnessOwnerPubKey_asU8

- getWitnessOwnerPubKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2981

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2991

### setAccountAgeWitnessHash

- setAccountAgeWitnessHash(value: string | Uint8Array): SignedWitness

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2968

### setDate

- setDate(value: number): SignedWitness

- #### Parameters

  - ##### value: number

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2986

### setSignature

- setSignature(value: string | Uint8Array): SignedWitness

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2973

### setSignerPubKey

- setSignerPubKey(value: string | Uint8Array): SignedWitness

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2978

### setTradeAmount

- setTradeAmount(value: number): SignedWitness

- #### Parameters

  - ##### value: number

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2989

### setVerificationMethod

- setVerificationMethod(value: VerificationMethod): SignedWitness

- #### Parameters

  - ##### value: VerificationMethod

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2963

### setWitnessOwnerPubKey

- setWitnessOwnerPubKey(value: string | Uint8Array): SignedWitness

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2983

### toObject

- toObject(includeInstance?: boolean): SignedWitness.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SignedWitness.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2992

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignedWitness

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2995

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignedWitness, reader: BinaryReader): SignedWitness

- #### Parameters

  - ##### message: SignedWitness

  - ##### reader: BinaryReader

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:2996

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SignedWitness, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SignedWitness

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2994

### `Static` toObject

- toObject(includeInstance: boolean, msg: SignedWitness): SignedWitness.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignedWitness

  #### Returns SignedWitness.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2993

Generated using TypeDoc